Subject: Re: 1.3.12-2: bug with ar tool (Windows 200)
From: Shankar Unni <[email-masked]>
To: [email-masked]
Date: Fri, 11 Oct 2002 11:10:29 -0700

On 10/10/2002 1:06 PM, Hart, William E wrote:

 > BFD: BFD 2.12.90 20020706 internal error, aborting at
> /netrel/src/binutils-20020
> 706-2/bfd/coffcode.h line 823 in handle_COMDAT 
> BFD: Please report this bug.
> 
> In this example, tmp.a is a dummy file that is empty.  

The problem is likely with the empty tmp.a. Why do you need such an 
empty archive?

In any case, the right way to create an empty archive is to "ar r foo.a" 
(without any file arguments). This gives you an empty archive with just 
an "ar" header (which is really just the characters "!<arch>\n").

In fact, when I try your experiment with a zero-length foo.a, I get a 
completely different message (with cygwin 1.3.12-4 and ar 2.12.90 
20020706: "ar: foo.a: File format not recognized".

Unless your "empty" file is somehow different - I just did a "touch 
foo.a" to create my empty file.
--
Shankar.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/